
/** @file my-entity.h
 *  @breif Example definition of an object deriving from QOF Entity.
 *  @author Copyright (c) 2003,2004 Linas Vepstas <linas@linas.org>
 *
 *  This example shows how to derive from the QOF Entity class.
 */

#ifndef MY_ENTITY_H_
#define MY_ENTITY_H_

#include <qof/qof.h>

/* Define "my" object.  Replace by your object. */
typedef struct myent_s 
{
	QofEntity ent;  /* Base class */
   int a;          /* Some value */
   int b;          /* Some other value */
   char *memo;     /* Some string value */
} MyEnt;

/* String identifying the 'type' or 'class' of this object */
#define MYENT_ID  "MyEnt"

/* Some arbitrary names for data that can be queried on this object. */
#define MYENT_A    "MyEnt_a"
#define MYENT_B    "MyEnt_b"
#define MYENT_MEMO "MyEnt_memo"
#define MYENT_GUID "MyEnt_guid"


MyEnt * my_ent_new (QofBook *book);

/* Generic object getters */
int my_ent_get_a (MyEnt *m);
int my_ent_get_b (MyEnt *m);
const char * my_ent_get_memo (MyEnt *m);

/* Generic object setters */
void my_ent_set_a (MyEnt *, int);
void my_ent_set_b (MyEnt *, int);
void my_ent_set_memo (MyEnt *, const char *);


/* Register entity with the QOF subsystem */
gboolean my_ent_register (void);

#endif /* MY_ENTITY_H_ */

